import { ReviewService } from "./review.service";
import { CreateReviewDto, UpdateReviewDto } from "./review.dto";
export declare class ReviewController {
    private readonly ReviewService;
    constructor(ReviewService: ReviewService);
    create(createReviewDto: CreateReviewDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(shopId: number): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/review/review.entity").Review[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: Promise<import("../../common/review/review.entity").Review>;
    }>;
    update(id: string, updateReviewDto: UpdateReviewDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
}
